﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup>
    <Filter Include="Source Files">
      <UniqueIdentifier>{4FC737F1-C7A5-4376-A066-2A32D752A2FF}</UniqueIdentifier>
      <Extensions>cpp;c;cc;cxx;c++;cppm;ixx;def;odl;idl;hpj;bat;asm;asmx</Extensions>
    </Filter>
    <Filter Include="Header Files">
      <UniqueIdentifier>{93995380-89BD-4b04-88EB-625FBE52EBFB}</UniqueIdentifier>
      <Extensions>h;hh;hpp;hxx;h++;hm;inl;inc;ipp;xsd</Extensions>
    </Filter>
    <Filter Include="Resource Files">
      <UniqueIdentifier>{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}</UniqueIdentifier>
      <Extensions>rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav;mfcribbon-ms</Extensions>
    </Filter>
    <Filter Include="Resource Files\Textures">
      <UniqueIdentifier>{a38a07a5-ff22-41bb-b189-de4685362774}</UniqueIdentifier>
    </Filter>
    <Filter Include="Header Files\External Libraries">
      <UniqueIdentifier>{772cb638-5e6e-4fd3-a4f7-4cc00d37de39}</UniqueIdentifier>
    </Filter>
    <Filter Include="Header Files\External Libraries\TinyXML">
      <UniqueIdentifier>{e4ae5a25-2440-41eb-818b-1fa9e5eeb085}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\External Libraries">
      <UniqueIdentifier>{5c7557a3-4ce7-421e-b90d-36d00d5673e5}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\External Libraries\TinyXML">
      <UniqueIdentifier>{73a0e2ba-b9f2-40c2-841b-fd1a4b4bb6d1}</UniqueIdentifier>
    </Filter>
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="main.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="Breakout.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="TextureManager.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="Vector2D.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="Collision.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="AssetManager.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="ECS.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="tinystr.cpp">
      <Filter>Source Files\External Libraries\TinyXML</Filter>
    </ClCompile>
    <ClCompile Include="tinyxml.cpp">
      <Filter>Source Files\External Libraries\TinyXML</Filter>
    </ClCompile>
    <ClCompile Include="tinyxmlerror.cpp">
      <Filter>Source Files\External Libraries\TinyXML</Filter>
    </ClCompile>
    <ClCompile Include="tinyxmlparser.cpp">
      <Filter>Source Files\External Libraries\TinyXML</Filter>
    </ClCompile>
    <ClCompile Include="SoundManager.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="BrickComponent.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="ColliderComponent.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="PaddleComponent.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="SpriteComponent.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="TransformComponent.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="Breakout.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="TextureManager.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="Vector2D.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="AssetManager.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="tinystr.h">
      <Filter>Header Files\External Libraries\TinyXML</Filter>
    </ClInclude>
    <ClInclude Include="tinyxml.h">
      <Filter>Header Files\External Libraries\TinyXML</Filter>
    </ClInclude>
    <ClInclude Include="SoundManager.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="BrickComponent.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="ColliderComponent.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="Collision.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="Components.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="ECS.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="PaddleComponent.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="SpriteComponent.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="TransformComponent.h">
      <Filter>Header Files</Filter>
    </ClInclude>
  </ItemGroup>
  <ItemGroup>
    <Image Include="Assets\paddle.png">
      <Filter>Resource Files\Textures</Filter>
    </Image>
  </ItemGroup>
</Project>